curl --request GET \
--url https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ipimport requests
url = "https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ccnnnnnn.cyrisma.com/app/partner/vulnerability/assets/ip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"RiskGrade": "<string>",
"TotalCVECount": 123,
"CriticalCount": 123,
"HighCount": 123,
"MediumCount": 123,
"LowCount": 123,
"DeviceFingerprint": "<string>",
"MACAddress": "<string>",
"MACVendor": "<string>",
"SNMPResult": "<string>",
"FinishTime": "2023-11-07T05:31:56Z",
"CVEs": [
{
"CveID": "<string>",
"Title": "<string>",
"FirstSeen": "2023-11-07T05:31:56Z",
"Exploitability": [
"<string>"
],
"Severity": "<string>",
"CVSS": 123,
"EPSS": 123,
"ScanId": 123,
"Patchable": true
}
],
"OpenPorts": [
{
"ScanId": 123,
"PortNumber": "<string>",
"PortDescription": "<string>",
"RiskLevel": "<string>"
}
]
}Internal Unauthenticated/External - IP Addresses scan details for an asset
Returns Internal Unauthenticated or External IP Address vulnerability details for a device identified by IP address, based asset IP address.
Use this endpoint when you already know the asset ip and want detailed counts and list of CVEs and open ports for the asset.
Required headers:
Authorization: access_token {token}
Headers
Query Parameters
Asset Ip of Internal Unauthenticated/External - IP Addresses Vulnerability scan.
Response
OK
Represents an IP asset with its associated vulnerability and scan details.
The asset score indicating the overall risk level of the asset.
Total number of vulnerabilities identified for this asset.
Number of critical vulnerabilities identified for this asset.
Number of high severity vulnerabilities identified for this asset.
Number of medium severity vulnerabilities identified for this asset.
Number of low severity vulnerabilities identified for this asset.
The device fingerprint for this asset.
The MAC address for this asset.
The MAC vendor for this asset.
The SNMP result for this asset.
The finish time of the last scan for this asset.
List of CVEs identified for this asset.
Show child attributes
Show child attributes
List of open ports identified for this asset.
Show child attributes
Show child attributes
